/***************************************************************************
                          toolbar.cpp  -  description
                             -------------------
    begin                : Sun Jul 16 2000
    copyright            : (C) 2000 by Joris Struyve
    email                : joris@struyve.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* CVS information :
 *
 * $Id: toolbar.cpp,v 1.8 2002/08/18 18:24:26 js Exp $
 *
 */

#include "k8ktest.h"

/* pixmaps */
#include <exit.xpm>
#include <refresh.xpm>
#include <options.xpm>
#include <save.xpm>

ToolBar::ToolBar( ApplicationWindow *parent,char *name )
        : QToolBar( parent, name)
{
	int i;
	par = parent;
	QPixmap refreshicon( (const char **)refresh_xpm );
	QPixmap exiticon( (const char **)exit_xpm );
	QPixmap optionsicon( (const char **)options_xpm );
	QPixmap saveicon( (const char **)save_xpm );
	
	quit       = new QToolButton(exiticon   , "Quit"    ,"Quit application", parent, SLOT(Exit()), this, "quit" );
	this->addSeparator();
	refresh    = new QToolButton(refreshicon, "Refresh" ,"Refresh the view", parent, SLOT(Scan()), this, "refresh" );
	options    = new QToolButton(optionsicon, "Options" ,"Options", parent, SLOT(ShowOptionDialog()), this, "options" );
	options    = new QToolButton(saveicon, "Save" ,"Save", parent, SLOT(SaveSettings()), this, "save" );
	this->addSeparator();
	
	
	/* Create the card buttons */
	card_buttons = new QButtonGroup(NULL,"group");
	card_buttons->setExclusive(TRUE);
	for(i=0;i<4;i++)
	{
		card[i] = new QPushButton(QString("Card ")+tr("%1").arg(i+1),this, QString("Card ")+tr("%1").arg(i+1) );
		card[i]->setMaximumWidth(60);
		card_buttons->insert(card[i],i);
		card[i]->setToggleButton(TRUE);
		card[i]->setBackgroundColor(QColor(0,255,0));
		if(!i) card[i]->setOn(TRUE);
		QObject::connect( card[i], SIGNAL(clicked()), this, SLOT(ToggleCard()) );
	}

	this->addSeparator();
	/* Create the chain buttons */
	chain_buttons = new QButtonGroup(NULL,"group");
	chain_buttons->setExclusive(TRUE);
	for(i=0;i<5;i++)
	{
		chain[i] = new QPushButton(QString("Chain ")+tr("%1").arg(i+1),this, QString("Chain ")+tr("%1").arg(i+1) );
		chain[i]->setMaximumWidth(60);
		chain_buttons->insert(chain[i],i);
		chain[i]->setToggleButton(TRUE);
		chain[i]->setBackgroundColor(QColor(0,255,0));
		if(!i) chain[i]->setOn(TRUE);
		QObject::connect( chain[i], SIGNAL(clicked()), this, SLOT(ToggleChain()) );
	}
}

ToolBar::~ToolBar()
{}

void ToolBar::ToggleCard()
{
	int i;
	
	for(i=0;i<4;i++)
	{
		if(card[i]->isOn())
			((ApplicationWindow*) par)->ShowCard(i);
	}
}

void ToolBar::SetCard(int cardnumber)
{

	card[cardnumber]->setOn(TRUE);
}

void ToolBar::ToggleChain()
{

	int i;
	
	for(i=0;i<5;i++)
	{
		if(chain[i]->isOn())
			((ApplicationWindow*) par)->ShowChain(i);
	}
}

void ToolBar::SetChain(int chainnumber)
{
	chain[chainnumber]->setOn(TRUE);
}
